EDIT - feature request #5015

Use treeindex for loading of aggregated images

06/19/2015 07:22 PM - Andreas Miller

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal

Description

Loading images for image rich higher taxa takes time. We may try to improve performance by using the treeindex

previous ticket #2686

For details and examples see there.

Another solution could be to use the aggregation base algorithm that is also used for distributions and descriptive data and to require

pre-aggregation instead of on-the-fly aggregation.

Related issues:

Related to EDIT - feature request #5016: Use asynchronous loading for images

New

History

#1 - 06/19/2015 07:23 PM - Andreas Miuller

- Keywords set to performance, tree-index

#2 - 10/14/2015 01:42 PM - Katja Luther
- Target version deleted (Unassigned CDM tickets)
- Priority changed from New to Priority14

#3 - 04/16/2016 12:12 AM - Andreas Miiller

- Target version changed from Release 4.0 to Release 4.1

#4 - 06/01/2016 01:23 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#5 - 07/06/2016 03:21 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#6 - 09/23/2016 03:32 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#7 - 12/01/2016 02:04 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#8 - 01/19/2017 01:22 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#9 - 03/10/2017 08:57 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#10 - 05/11/2017 10:22 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8
#11 - 07/06/2017 10:43 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#12 - 07/21/2017 10:36 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#13 - 09/24/2017 01:35 AM - Andreas Muller
- Description updated

- Target version changed from Release 4.10 to Release 4.12

#14 - 12/05/2017 02:24 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#15 - 01/31/2018 12:18 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#16 - 02/15/2018 02:53 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#17 - 05/14/2018 11:14 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#18 - 06/27/2018 02:21 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#19 - 08/17/2018 03:45 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#20 - 09/06/2018 09:57 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#21 - 10/23/2018 11:24 AM - Andreas Miuller

- Target version changed from Release 5.4 to Release 5.5

#22 - 02/14/2019 10:28 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#23 - 02/19/2019 04:59 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#24 - 03/23/2022 11:26 AM - Andreas Miiller

- Description updated

- Target version changed from Reviewed Next Major Release to Release 5.44

- Private changed from Yes to No

#25 - 03/23/2022 11:34 AM - Andreas Miiller

- Related to feature request #5016: Use asynchronous loading for images added

#26 - 02/14/2024 11:56 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43
